%define mod_name kyotocabinet
%define mod_full_name %{mod_name}-%{version}
Name:           rubygem-kyotocabinet
Version:        1.33
Release:        lp155.1.1
Summary:        Kyoto Cabinet is a library of routines for managing a database
License:        GPLv3
Group:          Development/Languages/Ruby
URL:            https://fallabs.com/kyotocabinet/
Source:         kyotocabinet-1.33.gem
BuildRequires:  %{ruby >= 1.9}
BuildRequires:  %{rubydevel >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  libkyotocabinet-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(zlib)

%description
Kyoto Cabinet is a library of routines for managing a database. The database is a simple
data file containing records, each is a pair of a key and a value. Every key and value
is serial bytes with variable length. Both binary data and character string can be used
as a key and a value. Each key must be unique within a database. There is neither concept
of data tables nor data types. Records are organized in hash table or B+ tree.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
